Bug 216116 - unnamespaced global symbols in libnetpbm
unnamespaced global symbols in libnetpbm
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Ben Levenson
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 06:14 EST by Joe Orton
Modified: 2013-07-02 19:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 08:50:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 06:14:25 EST
Description of problem:
Mostly the symbols in this library are namespaced nicely but there are a set
which aren't:

jorton@jolt:~$ nm -D /usr/lib/libnetpbm.so.10.35| egrep -v ' p.?.?m.?_' | grep '
[DT] '
4101b734 T _fini
41006428 T _init
4101b570 T asprintfN
41015da0 T createBlackTuple
41007970 T malloc2
41007a20 T malloc3
4101a440 T memmemN
4100a570 T mk_argvn
41019030 T optDestroyNameValueList
41019f70 T optParseOptions
41019ed0 T optParseOptions2
41019b90 T optParseOptions3
41019010 T optSetFatalFunc
410078a0 T overflow2
410079d0 T overflow3
41007860 T overflow_add
41007910 T realloc2
4101b620 T snprintfN
4101a650 T strfree
4101a4a0 T stripeq
4101a5c0 T strsepN
4102908c D strsol
4101a680 T vsnprintfN
410135e0 T xeltopixel
jorton@jolt:~$ rpm -qf /usr/lib/libnetpbm.so.10.35
netpbm-10.35-6.fc6.i386

from which currently there is one collision with another FC6 library:

Clashes for /usr/lib/libnetpbm.so.10.35:
  with /usr/lib/libgd.so.2.0.0 => overflow2
Comment 1 Jindrich Novy 2006-12-19 07:47:30 EST
The owerflow2 symbol actually originates from the Red Hat security patch. Since
gd has the same fixes applied upstream, I would better fix the clash on the
netpbm side.

Note You need to log in before you can comment on or make changes to this bug.